GT-ENCSEQ-SAMPLE(1)

NAME
gt-encseq-sample - Decode/extract encoded sequences by random choice.

SYNOPSIS

gt encseq sample (sequence_file|indexname)

DESCRIPTION

-mirrored [yes|no]
    virtually append the reverse complement of each sequence (default: no)

-lossless [yes|no]
    allow lossless original sequence retrieval (default: no)

-dir [string]
    specify reading direction (fwd, cpl, rev, rcl) (default: fwd)

-singlechars [yes|no]
    do not use a GtEncseqReader but access each sequence character separately (default: no)

-length [value]
    minimum length to be extracted (default: undefined)

-seqrange [start end]
    extract multiple consecutive sequences (default: undefined)

-output [...]
    specify output format (choose from fasta|concat) (default: fasta)

-sepchar [string]
    specify character to print as GT_SEPARATOR (default: |)

-help
    display help for basic options and exit

-help+
    display help for all options and exit

-version
    display version information and exit

REPORTING BUGS

Report bugs to https://github.com/genometools/genometools/issues.